Loading...
Searching...
No Matches
Table Class Reference

## Public Member Functions

| Table ()
| Create an empty table.
| Table (std::vector< std::vector< std::string > >)
| Create a table from a vector of vector of string.
| Table (std::vector< std::vector< Element > >)
| Create a table from a vector of vector of Element.
| Table (std::initializer_list< std::vector< std::string > > init)
TableSelection | SelectAll ()
| Select all the table.
TableSelection | SelectCell (int column, int row)
| Select a cell of the table.
TableSelection | SelectRow (int row_index)
| Select a row of the table.
TableSelection | SelectRows (int row_min, int row_max)
| Select a range of rows of the table.
TableSelection | SelectColumn (int column_index)
| Select a column of the table.
TableSelection | SelectColumns (int column_min, int column_max)
| Select a range of columns of the table.
TableSelection | SelectRectangle (int column_min, int column_max, int row_min, int row_max)
| Select a rectangle of the table.
Element | Render ()
| Render the table.

## Detailed Description

Examples
  examples/dom/table.cpp.

Definition at line 36 of file table.hpp.

## Constructor & Destructor Documentation

## Table() [1/4]

Table | ( |  | ) |

Create an empty table.

Definition at line 48 of file table.cpp.

## Table() [2/4]

Table | ( | std::vector< std::vector< std::string > > | input | ) |

explicit

Create a table from a vector of vector of string.

Parameters

  input | The input data.

Definition at line 55 of file table.cpp.

## Table() [3/4]

Table | ( | std::vector< std::vector< Element > > | input | ) |

explicit

Create a table from a vector of vector of Element.

Parameters

  input | The input elements.

Definition at line 72 of file table.cpp.

## Table() [4/4]

Table | ( | std::initializer_list< std::vector< std::string > > | init | ) |

Definition at line 79 of file table.cpp.

## Member Function Documentation

## SelectAll()

TableSelection SelectAll | ( |  | ) |

Select all the table.

Examples
  examples/dom/table.cpp.

Definition at line 211 of file table.cpp.

## SelectCell()

TableSelection SelectCell | ( | int | column,
|  | int | row )

Select a cell of the table.

Parameters

  column | The column of the cell to select.
  row | The row of the cell to select.

Note
  You can use negative index to select from the end.

Definition at line 178 of file table.cpp.

## SelectRow()

TableSelection SelectRow | ( | int | index | ) |

Select a row of the table.

Parameters

  index | The index of the row to select.

Note
  You can use negative index to select from the end.

Definition at line 143 of file table.cpp.

## SelectRows()

TableSelection SelectRows | ( | int | row_min,
|  | int | row_max )

Select a range of rows of the table.

Parameters

  row_min | The first row to select.
  row_max | The last row to select.

Note
  You can use negative index to select from the end.

Definition at line 152 of file table.cpp.

## SelectColumn()

TableSelection SelectColumn | ( | int | index | ) |

Select a column of the table.

Parameters

  index | The index of the column to select.

Note
  You can use negative index to select from the end.

Definition at line 160 of file table.cpp.

## SelectColumns()

TableSelection SelectColumns | ( | int | column_min,
|  | int | column_max )

Select a range of columns of the table.

Parameters

  column_min | The first column to select.
  column_max | The last column to select.

Note
  You can use negative index to select from the end.

Definition at line 169 of file table.cpp.

## SelectRectangle()

TableSelection SelectRectangle | ( | int | column_min,
|  | int | column_max,
|  | int | row_min,
|  | int | row_max )

Select a rectangle of the table.

Parameters

  column_min | The first column to select.
  column_max | The last column to select.
  row_min | The first row to select.
  row_max | The last row to select.

Note
  You can use negative index to select from the end.

Definition at line 189 of file table.cpp.

## Render()

Element Render | ( |  | ) |

Render the table.

Returns
  The rendered table. This is an element you can draw.

Definition at line 224 of file table.cpp.

The documentation for this class was generated from the following files:

- include/ftxui/dom/table.hpp
- src/ftxui/dom/table.cpp